mesos-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Cody Maloney <c...@mesosphere.io>
Subject Changing Mesos Minimum Compiler Version
Date Thu, 09 Apr 2015 21:14:06 GMT
As discussed in the last community meeting, we'd like to bump the minimum
required compiler version from GCC 4.4 to GCC 4.8.

The overall goals are to make Mesos development safer, faster, and reduce
the maintenance burden. Currently a lot of stout has different codepaths
for Pre-C++11 and Post-C++11compilers.

Progress will be tracked in the JIRA: MESOS-2604

The resulting supported compiler versions will be:
GCC 4.8, GCC 4.9
Clang 3.5, Clang 3.6

For reference
Compilers by Distribution Version: http://goo.gl/p1t1ls

C++11 features supported by each compiler:
https://gcc.gnu.org/projects/cxx0x.html
http://clang.llvm.org/cxx_status.html

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message